<?php
/**
 * ウィジェットインストールコンテナ作成用ベースクラス
 *
 * PHP versions 5
 *
 * LICENSE: This source file is licensed under the terms of the GNU General Public License.
 *
 * @package    Magic3 Framework
 * @author     平田直毅(Naoki Hirata) <naoki@aplo.co.jp>
 * @copyright  Copyright 2006-2007 Magic3 Project.
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL License
 * @version    SVN: $Id$
 * @link       http://www.magic3.org
 */
require_once($gEnvManager->getContainerPath() . '/baseWidgetContainer.php');

class BaseInstallWidgetContainer extends BaseWidgetContainer
{
	/**
	 * コンストラクタ
	 */
	function __construct()
	{
	}
	/**
	 * 起動マネージャから呼ばれる唯一のメソッド
	 *
	 * @param RequestManager $request		HTTPリクエスト処理クラス
	 * @return								なし
	 */
	function process($request)
	{
		// インストールかアンインストールかを判断
		$cmd = $request->trimValueOf(M3_REQUEST_PARAM_OPERATION_COMMAND);
		if ($cmd == M3_REQUEST_CMD_INSTALL_WIDGET){ 		// ウィジェットのインストール
			$install = true;
		} else if ($cmd == M3_REQUEST_CMD_UNINSTALL_WIDGET){		// ウィジェットのアンインストール
			$install = false;
		} else {
			return;
		}
		
		// スクリプト実行前処理
		if (method_exists($this, '_preScript')) $this->_preScript($install, $request);
		
		// スクリプト実行処理
		if (method_exists($this, '_doScript')) $this->_doScript($install, $request);
		
		// スクリプト実行後処理
		if (method_exists($this, '_postScript')) $this->_postScript($install, $request);
		
		// 実行結果を画面出力
		parent::process($request);
	}
}
?>
